DDC report some ridiculous physical screen size - causes wacky font sizes on login screen

Bug #151311 reported by Dave Morley on 2007-10-10
130
This bug affects 2 people
Affects Status Importance Assigned to Milestone
X.Org X server
Fix Released
Medium
xorg-server (Ubuntu)
High
Bryce Harrington
Gutsy
High
Bryce Harrington
Hardy
High
Bryce Harrington
xserver-xorg-video-ati (Debian)
Fix Released
Unknown
xserver-xorg-video-ati (Ubuntu)
High
Unassigned
Gutsy
Undecided
Unassigned
Hardy
Undecided
Unassigned
xserver-xorg-video-intel (Ubuntu)
Undecided
Unassigned
Gutsy
Undecided
Unassigned
Hardy
Undecided
Unassigned

Bug Description

Binary package hint: xserver-xorg-video-intel

[Paul: This size 289x21 millimiters is reported by about 6 persons on Intel chipset, I have i945 but
mine is fine]
[Paul: other values seen: 40x30, 10x10 ATI radeon)]

Lure on the kubuntu-devel irc has given me a list of things to report. This report is to fix the following.
http://picasaweb.google.com/davmor2/UbuntuScreenshots/photo#5119247564230314514
http://picasaweb.google.com/davmor2/UbuntuScreenshots/photo#5119247581410183714
http://picasaweb.google.com/davmor2/UbuntuScreenshots/photo#5119247602885020210

The screen res taken from xdpyinfo is
1280x800 pixels (289x21 millimeters)

The dpi taken from xdpyinfo is
112x968 dpi

I will add the log files shortly.

[Update]
This problem is caused by buggy monitors that emit incorrect EDID from their firmware. Fortunately, X.org has a mechanism for working around these bugs, but they're implemented specific to the particular model # of the monitor. So if you find yourself experiencing this problem, please file a NEW bug (don't reopen this one) against xorg-server titled "<monitor-name> produces bad EDID causing large font sizes; needs quirk", and attach the following information:

 * /var/log/Xorg.0.log
 * output from `sudo ddcprobe`
 * output from `sudo get-edid | parse-edid` (you'll need to install the read-edid package)

[lspci]
00:00.0 Host bridge [0600]: Intel Corporation Mobile 945GM/PM/GMS, 943/940GML and 945GT Express Memory Controller Hub [8086:27a0] (rev 03)
     Subsystem: Hewlett-Packard Company Unknown device [103c:30a5]
00:02.0 VGA compatible controller [0300]: Intel Corporation Mobile 945GM/GMS, 943/940GML Express Integrated Graphics Controller [8086:27a2] (rev 03) (prog-if 00 [VGA])
     Subsystem: Hewlett-Packard Company Unknown device [103c:30a5]

Related branches

Created an attachment (id=9149)
screenshot of broken kdm screen

Created an attachment (id=9150)
used xorg.conf

Created an attachment (id=9151)
X log

Created an attachment (id=9152)
running xrandr serveral times, one run after another shows different results

OK, we can get that fixed. Can you provide a physical measurement of your panel size (in mm)?

DisplaySize 330 210 # mm

these are real values measured manually :)

Still doesn’t work witch xserver (1.2.99.903) and intel driver (1.9.93)

Still doesn’t work with xserver (1.2.99.903) and intel driver (1.9.94)

Unfortunately the problem persist with xserver 1.3.0 and intel driver 2.0.0. Is this issue really so hard? :-)

*** Bug 10756 has been marked as a duplicate of this bug. ***

Created an attachment (id=11068)
proposed fix for physical size detection

Could you test the attached patch against a current server?

Unfortunately the problem persist with xserver 1.3.0 and intel driver 2.1.1 with your patch

Eric to respond...

Created an attachment (id=11949)
patch to ry

This patch prefers the user configured DisplaySize to the probed DDC data, please add the actual physical size to your xorg.conf monitor section and have a try.

(In reply to comment #14)
> Created an attachment (id=11949) [details]
> patch to ry
>
> This patch prefers the user configured DisplaySize to the probed DDC data,
> please add the actual physical size to your xorg.conf monitor section and have
> a try.
>

This patch needs probably go upstream anyway (should go in 1.4.1 as well) as there are often cases when we don't know the physical size of an output and need to specify it. See bug 12474 for example.

Binary package hint: xserver-xorg-video-intel

Lure on the kubuntu-devel irc has given me a list of things to report. This report is to fix the following.
http://picasaweb.google.com/davmor2/UbuntuScreenshots/photo#5119247564230314514
http://picasaweb.google.com/davmor2/UbuntuScreenshots/photo#5119247581410183714
http://picasaweb.google.com/davmor2/UbuntuScreenshots/photo#5119247602885020210

The screen res taken from xdpyinfo is
1280x800 pixels (289x21 millimeters)

The dpi taken from xdpyinfo is
112x968 dpi

I will add the log files shortly.

Dave Morley (davmor2) wrote :
Dave Morley (davmor2) wrote :
Dave Morley (davmor2) wrote :
Luka Renko (lure) wrote :

You could potentially workaround this issue for at least running KDE session (not for KDM though) by using xrandr in Xsession startup script. You would need to add new file /etc/X11/Xsession.d/35fix-displaysize with the following content:

/usr/bin/xrandr --fbmm 330x210 || true

You need to replace 330x210 with actual size of your display in millimeters (mm).

Achim Bohnet (allee) wrote :

Or try

       DisplaySize width height
              This optional entry gives the width and height, in millimetres, of the picture area of the monitor. If
              given this is used to calculate the horizontal and vertical pitch (DPI) of the screen.

In the monitor section of xorg.conf. Should work with kdm and kde session.

Dave Morley (davmor2) wrote :
Dave Morley (davmor2) wrote :
Dave Morley (davmor2) wrote :
Jonathan Riddell (jr) on 2007-10-10
Changed in xserver-xorg-video-intel:
assignee: nobody → bryceharrington
importance: Undecided → High
status: New → Confirmed
Bryce Harrington (bryce) wrote :

I've posted a debdiff with two patches that override the dpi auto-magic in two places:

  http://people.ubuntu.com/~bryce/Testing/xorg-server-dpi/

If it solves the issue, we could investigate doing a cleaner patch.

I'll post an x86 .deb after it's finished building.

Created an attachment (id=11987)
Xorg.0.log

Same problem here on Acer 5022 with Mobility Radeon X700, xserver 1.3.0.0 and latest xf86-video-ati from git

Bryce This bug also effects Xubuntu in a similar fashion. As witnessed by Riddell. If you let me know what to do with the file I will apply it and see what happens :)

Dave Morley (davmor2) wrote :

Bryce that's fixed it :) Login in screen is correct too.

*** Bug 12784 has been marked as a duplicate of this bug. ***

The problem is not caused by the driver, but by bad EDID data from the panel. Bytes 66-67 (image size in mm) are simply copied over from bytes 21-22 (panel size in cm) which is obviously incorrect.

I believe I've fixed the EDID issue upstream now (confused your issue with a very similar one). Please retest.

*** Bug 12581 has been marked as a duplicate of this bug. ***

Excellent, I think we should clean up the logic a bit so we don't force the dpi if the user is trying to explicitly override it, but once that's done I think this is ready to commit.

Changed in xserver-xorg-video-intel:
status: Confirmed → In Progress

Created an attachment (id=12011)
Xorg.0.log

The problem still persists, even with the patch from http://gitweb.freedesktop.org/?p=xorg/xserver.git;a=commit;h=fc092334ac0a323b80a9602cb8bf60ca9dee3bfa

In Xorg.0.log the EDID quirk is mentioned, but xdpyinfo still shows wrong dpi (and fonts are huge)

Created an attachment (id=12012)
xdpyinfo

xdpyinfo output

This was recently discussed in some xorg bugs:

Intel:
- http://bugs.freedesktop.org/show_bug.cgi?id=10304
ATI:
- http://bugs.freedesktop.org/show_bug.cgi?id=12581
- http://bugs.freedesktop.org/show_bug.cgi?id=12474

Question: does this means that we will be now forced to 96 DPI on all HW (as change is in xserver and not in driver)?

Luka Renko (lure) wrote :

I have just tested the proposed packages on HP nw8240 with ATI FireGL V5000 (PCIE) with 15.4" (310x210mm), 1920x1200 panel. As expected, this workaround causes that DPI is hardcoded to 96 - xdpyinfo diff:

--- xdpyinfo.before 2007-10-12 22:58:18.000000000 +0200
+++ xdpyinfo.after 2007-10-12 23:37:58.000000000 +0200
@@ -17,7 +17,7 @@
     depth 24, bits_per_pixel 32, scanline_pad 32
     depth 32, bits_per_pixel 32, scanline_pad 32
 keycode range: minimum 8, maximum 255
-focus: window 0x2400007, revert to PointerRoot
+focus: window 0x2600007, revert to PointerRoot
 number of extensions: 33
     BIG-REQUESTS
     Composite
@@ -56,8 +56,8 @@
 number of screens: 1

 screen #0:
- dimensions: 1920x1200 pixels (331x207 millimeters)
- resolution: 147x147 dots per inch
+ dimensions: 1920x1200 pixels (507x317 millimeters)
+ resolution: 96x96 dots per inch
   depths (7): 24, 1, 4, 8, 15, 16, 32
   root window id: 0x59
   depth of root window: 24 planes

Side effect of this change is the fact that now fonts are two small - I would need to increase the font size to get some readable font size.
I think this is step back for high-resolution displays (>120 DPI), as they will get fonts (and other UI widgets) smaller then they are defined (in terms of pt).

Luka Renko (lure) wrote :

I think the proposed quirk solution for buggy EDID as described in FD bug 10304 is more appropriate - it just need to be extended to cover also this particular buggy HW.

Bryce Harrington (bryce) wrote :

Okay, since this isn't a regression-free fix, let's postpone it for Gutsy-final. When a better, regression-free fix is known, maybe we can push it out as an -update.

could anybody post a test result of patch in comment# 14?

Paul Dufresne (paulduf) on 2007-11-19
description: updated
Changed in xorg-server:
status: Unknown → Fix Released
Changed in xserver-xorg-video-ati:
status: New → Confirmed
Changed in xserver-xorg-video-ati:
status: Unknown → Confirmed
47 comments hidden view all 127 comments

>289mm x 21mm
Jacques, could you attached /var/log/Xorg.0.log file, please?

JLK (jlk) wrote :

Hi Paul,

Thanks for your help. Find my Xorg.0.log attached...

Paul Dufresne (paulduf) wrote :

Jacues have (II) intel(0): EDID "vendor "LPL", prod id 0" in Xorg.0.log for following version:
Build Operating System: Linux Ubuntu (xorg-server 2:1.4.1~git20080105-1ubuntu1)
Current Operating System: Linux jack-laptop 2.6.24-4-generic #1 SMP Mon Jan 14 17:30:39 UTC 2008 i686
Build Date: 08 January 2008 07:42:40PM

That model is the one that should have been patched.
I did not found the work 'quirk' in his log.

Well, it looks like the patch is not yet integrated but I don't understand why.

Tormod Volden (tormodvolden) wrote :

The quirk patch was committed to the upstream git head (to become 1.5) but might not be in the 1.4 branch that Hardy is tracking. Only selected fixes from the git head ("master") are ported to the 1.4 branch, see http://wiki.x.org/wiki/Server14Branch

Just correcting the links from my earlier post:

http://gitweb.freedesktop.org/?p=xorg/xserver.git;a=commitdiff;h=fc092334ac0a323b80a9602cb8bf60ca9dee3bfa
This commit adds quirks for some monitor models, so that the probed EDID info will be corrected. It will be included in xorg-server 1.5.

http://gitweb.freedesktop.org/?p=xorg/xserver.git;a=commitdiff;h=feac0759522cbdc3e61ccfa373df735903c5cb27
This commit fixes the "DisplaySize" option so that it will always override any probed EDID info and be used to calculate DPI correctly. This one will be in xorg-server 1.4.1 (and is already in Hardy).

Bryce Harrington (bryce) wrote :

Thanks for doing all the legwork on this one Paul. The patch looks good and builds properly. I've committed it to Ubuntu's xorg-server git tree for upload.

Also thanks for flagging related issues *not* solved by this patch; I've assigned them to myself and will take a look when I get a chance. Sounds like we just need to build more quirks for those as well.

Changed in xserver-xorg-video-intel:
status: In Progress → Fix Committed
Bryce Harrington (bryce) wrote :

Released in yesterday's upload of -intel.

Changed in xserver-xorg-video-intel:
status: Fix Committed → Fix Released
JLK (jlk) wrote :

Hi there,

I still have the same problem with Hardy Alpha 5 and the latest updates.
Find my Xorg.0.log attached.

Jimmygoon (jimmygoon) wrote :

Despite what the comments here imply.
My intel driver is very much ignoring Option "DisplaySize" still and is making the fonts far too large. I am completely up to date with my Hardy upgrades.

Thanks.

Jimmygoon (jimmygoon) wrote :

To give some more information:
I got it working with the correct DisplaySize and I seemed to have gotten it to where the dpi was correct but good god was it slow. I've never seen firefox render anything quite so slowly or a simple picture to load. I was watching it as it scanned from top to bottom...

So, I'm not sure what's going on now. I guess I'll wait. I've spent about two hours trying to get something working to no avail. I'm just reverting back to i810 for now.

xhantt (xhantt) wrote :

Hi Jimmygoon,

Which is the model of your card? it may be helpful for other people that are trying to install Hardy.

As stated previously some monitors report a buggy EDID, in order to fix for you monitor it wil be helpful to provide your /var/log/Xorg.0.log file?

If the intel driver is too slow I'll suggest to open another bug report, well it doesn't seems to be related to this bug.

Jimmygoon (jimmygoon) wrote :

Sorry, I admit I was a bit frustrated earlier and was a tad unwilling to spend much more time with this bug, but today I'm more geared up.

I've attachment my Xorg.0.log. This is basically a result what ubuntu sets up EXCEPT for when I specify the 'i810' driver (like I've stated ubuntu defaults to 'intel'). My graphics card is: Intel Integrated 855GM (Intel(r)852GM/852GME/855GM/855GME)

I think I managed to get it working by specifying DisplaySize but... it was strange. It cause gnome-settings-daemon to crash (every single time and starting it from CLI gave a core segfault) and so it may have been a combination of things leading to a sluggish feel that I was attributing to the intel driver.

So basically, my workaround stands for me of switching back to i810 (I keep saying this in case someone else sees this with the same problem :D)

If someone wants, I'll be around #ubuntu+1 for basically... all day today and most of tomorrow so I can try things at will. I've got another computer so I can get on IRC there and test stuff here and go through different test scenarios if that would be helpful.

Jimmygoon (jimmygoon) wrote :

Attached are the Xorg.0.logs for
1st - using the 'intel' driver with no adjustments
2nd - using the 'intel' driver plus doing the following: (this log is included in the next post... only one attachment at a time)

* Setting DisplaySize for my Monitor
* Adding the Option "Monitor-LVDS" "Configured Monitor" to my xorg.conf

I don't know why, but those two things APPEARS to get the fonts right (presumably with the intel driver) on my GDM screen and I'm about to check and see if gnome-settings-daemon survives.
How can I check and make sure intel is in use and I'm not wasting my time debugging VESA kicking in? thanks.

Yep, gnome-settings-daemon crashes upon attempt to login ---- "The Settings Daemon restarted too many times"
Attempting to run "gnome-settings-daemon" as superuser from the CLI gives: http://paste.ubuntu-nl.org/59867/

Finally, I'm afraid there is some sort of bug overlap. After implementing the fixes I've described here, I tried to submit a bug report for the gnome-settings-daemon and came across this:
https://bugs.launchpad.net/ubuntu/+source/gnome-settings-daemon/+bug/197153
(Note the last comment before mine... describing how that person was suffering this bug on an Intel 855 GM chipset (same as mine)

I hope this is making forward progress. Thanks so much!

Jimmygoon (jimmygoon) wrote :

(attached is the xorg.0.log file for all of my above described changes)
edid/display size + lvds

Jimmygoon (jimmygoon) wrote :

I hope this isn't annoying my four posts in a row... but I like to think I'm hopefully giving helpful beneficial information.

The crashing of gnome-settings-daemon appears to be that other bug I referenced above and after implementing the workaround I have the intel driver working (after a whole bug of mangling with xorg.conf though) with the right resolution and dpi.

I can still see this issue on my machine (Intel i915, reported screen size 289x21 mm), although it shows up only in GDM.
I am running an up-to-date Hardy installation.

* xdpyinfo reports:
screen #0:
  dimensions: 1280x800 pixels (289x21 millimeters)
  resolution: 112x968 dots per inch

* xrandr reports:
Screen 0: minimum 320 x 200, current 1280 x 800, maximum 1280 x 1280
VGA disconnected (normal left inverted right x axis y axis)
LVDS connected 1280x800+0+0 (normal left inverted right x axis y axis) 289mm x 21mm
   1280x800 60.1*+ 60.0
   1280x768 60.0
   1024x768 60.0
   800x600 60.3
   640x480 59.9
TV disconnected (normal left inverted right x axis y axis)

* xorg.conf, with neither comments nor various InputDevice sections:
Section "Device"
 Identifier "Configured Video Device"
EndSection

Section "Monitor"
 Identifier "Configured Monitor"
EndSection

Section "Screen"
 Identifier "Default Screen"
 Monitor "Configured Monitor"
 Device "Configured Video Device"
EndSection

Section "ServerLayout"
 Identifier "Default Layout"
 Screen "Default Screen"
 InputDevice "Synaptics Touchpad"
EndSection

 I can reproduce it when booting from a Hardy live CD, too (which is not surprising).
/etc/X11/xorg.conf is the same (except few differences in the InputDevice sections). The (attached) Xorg.0.log is quite the same, too.

Changed in xserver-xorg-video-ati:
status: Confirmed → Fix Released
unggnu (unggnu) wrote :

Opening again since it still seems to be an issue in current Hardy (Bug 147081) at least with a Compaq nx7400.

Changed in xserver-xorg-video-intel:
status: Fix Released → Confirmed
Bryce Harrington (bryce) on 2008-07-30
Changed in xserver-xorg-video-intel:
assignee: nobody → bryceharrington
status: New → In Progress
importance: Undecided → High
Bryce Harrington (bryce) wrote :

I see this is also filed against -ati but the upstream bugs indicate it's fixed - is anyone with ATI hardware still experiencing this problem on 8.04.1? If so, please also check if it's still a problem with Intrepid.

Changed in xserver-xorg-video-ati:
status: Confirmed → Incomplete
Bryce Harrington (bryce) wrote :

Closing Gutsy tasks since we won't be SRUing to it.

Changed in xserver-xorg-video-intel:
status: In Progress → Invalid

Thanks for taking the time to report this bug and helping to make Ubuntu better. In the development cycle for Intrepid there have been some vast improvements in the open source ati video driver and we could use your help testing them. Could you please download the latest Alpha CD image of Intrepid and test this particular bug just using the Live CD? You can find the latest image at http://www.ubuntu.com/testing . Your testing can help make Ubuntu and the open source ati driver even better! Thanks in advance.

I still have the same problem with Intrepid (my screen says it's 2.1 cm tall instead of 21 cm)

I cannot see this problem anymore with Intrepid Alpha 4, on a system with Intel i915 (-intel driver). I believe that this bug, with respect to the -intel driver, has been fixed.

* xdpyinfo reports:
screen #0:
  dimensions: 1280x800 pixels (330x210 millimeters)
  resolution: 99x97 dots per inch

* xrandr reports:
Screen 0: minimum 320 x 200, current 1280 x 800, maximum 1280 x 1280
VGA disconnected (normal left inverted right x axis y axis)
LVDS connected 1280x800+0+0 (normal left inverted right x axis y axis) 330mm x 210mm
   1280x800 60.1*+
   1024x768 60.0
   800x600 60.3
   640x480 59.9
TV disconnected (normal left inverted right x axis y axis)

puccha (yuri-schaeffer) wrote :

Problem remains with Intrepid Alpha 4.

$ xdpyinfo
...
screen #0:
  dimensions: 1280x800 pixels (289x21 millimeters)
  resolution: 112x968 dots per inch
...

xorg.0.log attached.

furthermore I was unable to use the stand-alone installer due to huge (say about 10 times normal size) windows. Booting the live envirioment did not have this problem.

Changed in xserver-xorg-video-ati:
importance: Undecided → High
status: Incomplete → Confirmed
Bryce Harrington (bryce) on 2008-08-29
Changed in xserver-xorg-video-ati:
status: Confirmed → Triaged
Changed in xserver-xorg-video-intel:
status: Confirmed → In Progress
Bryce Harrington (bryce) wrote :

For those still having this problem, please file a NEW BUG against xorg-server on it. Include both your /var/log/Xorg.0.log, and the output of `sudo get-edid | parse-edid` (you'll need to install the read-edid package for this).

The problem here is that there is a _hardware_ bug in the monitor - it lies about its capabilities. So each case has to be handled on a case-by-case basis by 'quirking' the xserver to enable the appropriate workaround for that specific piece of hardware.

Since we have to handle each individual problem on a case-by-case basis, it is much easier to do this with separate bug reports, rather than this big one (which is getting hard to follow and keep track of who all is still having problems, and no doubt spamming people for whom the problem is long since solved. *grin*)

@Samuel, I was able to get the necessary info to compose a quirk from your Xorg.0.log, so no need for you to file a new bug.

@puccha, unfortunately your Xorg.0.log did not have detailed EDID info listed so I don't know which quirk to use for you. Please file a NEW bug and attach the info I mentioned above.

Changed in xserver-xorg-video-ati:
status: Triaged → In Progress
Changed in xserver-xorg-video-intel:
status: In Progress → Fix Released
Changed in xserver-xorg-video-ati:
status: New → Invalid
status: New → Invalid
status: In Progress → Invalid
Changed in xserver-xorg-video-intel:
status: Fix Released → In Progress
Bryce Harrington (bryce) on 2008-09-05
description: updated
franganghi (joered) wrote :

A good workaround:
nx7400 - text in login input line is far too big:
Edit gdm.conf file and add the -dpi 96

[server-Standard]
name=Standard server
-command=/usr/bin/X -br -audit 0 -dpi 96

rif. http://gp3d.blogspot.com/2008/08/acer-extensa-5220-and-hp-nx7400-ubuntu.html

That was the final solution for me.
In my personal opinion, this bug can't be solved by the ubuntu team beacause it is caused by a wrong valued on the specified system: an exception must be created but an exception is non a solution... it is just a permanent workaround!

Bryce Harrington (bryce) on 2008-11-14
Changed in xserver-xorg-video-intel:
status: New → Confirmed
Bryce Harrington (bryce) wrote :

[This is an automatic notice.]

We'd like to forward your bug upstream, however upstream requires
that you first test it against their newer driver code.

To save you the effort of building the driver from source, we've built
packages for the driver and its new dependencies.

So you have a couple options:

 1. Download and test .debs for intrepid, from:
     https://edge.launchpad.net/~intel-gfx-testing/+archive

 -or-

 2. Download and test the Jaunty alpha-2 (or newer) Live CD,
     (which includes a beta of the new xserver 1.6 as well).
     See http://cdimage.ubuntu.com/releases/9.04/ for ISOs

Thanks ahead of time! You can simply reply to this email to report your
findings.

P.S., if you wish to forward your bug upstream yourself, please follow
these directions to do so:
  http://intellinuxgraphics.org/how_to_report_bug.html

Changed in xserver-xorg-video-intel:
status: Confirmed → Incomplete
Bryce Harrington (bryce) on 2009-01-13
Changed in xserver-xorg-video-intel:
status: Incomplete → Fix Released
Bryce Harrington (bryce) on 2009-01-17
description: updated

I have tested with 8.10 (the official release, not the testing debs) and with Jaunty alpha-3 Live CD. The display size appears to be correctly detected.

2 comments hidden view all 127 comments
Bryce Harrington (bryce) wrote :

Thanks for testing; it sounds like the issue is no longer being seen so I'm closing the bug.

I have also written a page for troubleshooting these kinds of dpi issues, in case others notice these problems in the future: https://wiki.ubuntu.com/X/Troubleshooting/HugeFonts

If anyone sees a wacky font size issue, please follow the troubleshooting guide and file a NEW bug; don't reopen this one.

Changed in xorg-server:
status: In Progress → Fix Released

Alois, can you please add Option "ModeDebug" "true" to your xorg.conf and attach the new log? Apparently there are several panels from Philips with product ID = 0 and not all of them need this quirk. I am wondering if there is some more identification we can use.

(In reply to comment #43)
> Alois, can you please add Option "ModeDebug" "true" to your xorg.conf and
> attach the new log? Apparently there are several panels from Philips with
> product ID = 0 and not all of them need this quirk. I am wondering if there is
> some more identification we can use.
>

yes, but now using xorg-server 1.6 and xf86-video-intel 2.6.99.902

will have any influence?

Created an attachment (id=24444)
ModeDebug On

Sergio Zanchetta (primes2h) wrote :

The 18 month support period for Gutsy Gibbon 7.10 has reached its end of life -
http://www.ubuntu.com/news/ubuntu-7.10-eol . As a result, we are closing the
Gutsy task.

Changed in xserver-xorg-video-intel (Ubuntu Gutsy):
status: New → Won't Fix

Reopening as there seems to be other models affected. I'll attach the Xorg.0.log with ModeDebug on for my system as well.

Created an attachment (id=25646)
Xorg log

xorg-x11-drv-ati-6.12.2-11.fc11.x86_64

HP Pavilion zv6000

Changed in xorg-server:
status: Fix Released → Confirmed
Bryce Harrington (bryce) on 2009-07-20
Changed in xserver-xorg-video-intel (Ubuntu Hardy):
status: New → Invalid
Changed in xorg-server (Ubuntu Hardy):
status: In Progress → Invalid
Andrew Somerville (andy16666) wrote :

I haven't noticed anyone report this bug on an NVidia card. I have an NVidia GeForce 8800GT and I have huge text in the login manager. I also have huge text in KDE, although GNOME is fine. I'm using the NVidia proprietary driver version 180.44, and the monitor attached is a 26" Samsung TV on a DVI-HDMI link. nvidia-settings is reporting: 1360x768 pixels (161x90 millimeters) and a resolution of 215x217 dots per inch.

1 comments hidden view all 127 comments
Andrew Somerville (andy16666) wrote :

I'm using Ubuntu 9.04.

This bug report is way too big. The original bug should be fixed, and the reporter no longer has the hardware. If people have bugs with other monitors, please open your own bugs so you actually get some attention!

Changed in xorg-server:
status: Confirmed → Fix Released
Changed in xorg-server:
importance: Unknown → Medium
Changed in xorg-server:
importance: Medium → Unknown
Changed in xorg-server:
importance: Unknown → Medium
Displaying first 40 and last 40 comments. View all 127 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.